Bug 46210 - Title placeholder not recognized by Powerpoint 2003
Summary: Title placeholder not recognized by Powerpoint 2003
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSLF (show other bugs)
Version: 3.2-FINAL
Hardware: PC Windows XP
: P2 minor (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-14 04:40 UTC by Andreas Goetz
Modified: 2015-11-29 01:25 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Goetz 2008-11-14 04:40:04 UTC
I'm creating a single slide with title. 
However, when I "Apply Style" in Powerpoint, it creates a new title placeholder for the program-created slide. This does not happen for slides created by Powerpoint. It seems as if the title placeholder is missing some kind of attribute that makes Powerpoint recognize it- or it's an powerpoint issue...

Sample:

ppt = new SlideShow();
Slide slide = ppt.createSlide();
slide.addTitle().setText("Management Summary");
Comment 1 Andreas Goetz 2009-03-20 07:10:49 UTC
It seems this is not supported yet:

http://article.gmane.org/gmane.comp.jakarta.poi.user/11121/match=placeholder

Yegor wrote:

> It shouldn't be hard to add this functionality. The user code may look like this:
> 
> Slide slide = ppt.createSlide(Slide.LAYOUT_TITLE_AND_TEXT);
> 
> TextShape title = slide.getPlaceholder(Slide.PLACEHOLDER_TITLE);
> title.getTextRun().setText("Hello, World");
> 
> TextShape body = slide.getPlaceholder(Slide.PLACEHOLDER_BODYTEXT);
> title.getTextRun().setText("Here\rAre\rSome\rBullet\rPoints");
> 
> I will see if it can be added.
Comment 2 Andreas Beeker 2015-11-29 01:25:20 UTC
Fixed with r1717020